<?php
/**
 * Astound
 * NOTICE OF LICENSE
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to codemaster@astoundcommerce.com so we can send you a copy immediately.
 *
 * @category  Affirm
 * @package   Astound_Affirm
 * @copyright Copyright (c) 2016 Astound, Inc. (http://www.astoundcommerce.com)
 * @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Astound\Affirm\Controller\Payment;

use Magento\Framework\App\Action\Context;
use Magento\Framework\App\ResponseInterface;
use Magento\Framework\App\Action\Action;
use \Magento\Framework\Controller\Result\RedirectFactory;

/**
 * Payment cancel action
 *
 * @package Astound\Affirm\Controller\Payment
 */
class Cancel extends Action
{
    /**
     * Redirect factory option
     *
     * @var \Magento\Framework\Controller\Result\RedirectFactory
     */
    protected $forwardRedirectFactory;

    /**
     * Injects redirect factory
     *
     * @param Context         $context
     * @param RedirectFactory $redirectFactory
     */
    public function __construct(Context $context, RedirectFactory $redirectFactory)
    {
        $this->forwardRedirectFactory = $redirectFactory;
        parent::__construct($context);
    }

    /**
     * Affirm cancel action
     * redirects to checkout cart in case if customer return from affirm to merchant.
     *
     * @return \Magento\Framework\Controller\ResultInterface|ResponseInterface
     * @throws \Magento\Framework\Exception\NotFoundException
     */
    public function execute()
    {
        // Redirects customer to checkout cart page.
        $resultRedirect = $this->forwardRedirectFactory->create();
        $resultRedirect->setPath('checkout/cart/index');
        return $resultRedirect;
    }
}
